Subject: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 9 Jan 2010 13:33:10 -0800 (PST)

Michael Albinus <[email-masked]> writes:

  > Dan Nicolaescu <[email-masked]> writes:
  > 
  > > But please do it with a system-type test, /C:/emacs/repo/bugs/5313/ is a
  > > valid unix file name.  Probably not used too much, but valid, so it
  > > should not be excluded.
  > 
  > Emacs would handle it as a remote file name. If such a local file name
  > is intended, it must be prefixed by "/:". Maybe it is a good idea to do
  > it for all URLs starting with "file:///" in vc-bzr (and somewhere else).

Can handling as a remote file name be disabled?
The code path in question makes sense when the file is local, if the
file is remote, then just running the corresponding bzr command won't
make a difference.